org.jbpm.casemgmt.impl.wih

## Class EscalateToAdminSLAViolationListener

- java.lang.Object
- - org.kie.api.event.process.DefaultProcessEventListener
  - - org.jbpm.casemgmt.impl.wih.EscalateToAdminSLAViolationListener

- All Implemented Interfaces:
    EventListener, org.kie.api.event.process.ProcessEventListener, org.kie.internal.runtime.Cacheable

      public class EscalateToAdminSLAViolationListener
      extends org.kie.api.event.process.DefaultProcessEventListener
      implements org.kie.internal.runtime.Cacheable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EscalateToAdminSLAViolationListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterSLAViolated(org.kie.api.event.process.SLAViolatedEvent event)`
    `void` | `close()`
    `protected CaseFileInstance` | `getCaseFile(org.kie.api.runtime.KieSession ksession)`

    - ### Methods inherited from class org.kie.api.event.process.DefaultProcessEventListener

      `afterNodeLeft, afterNodeTriggered, afterProcessCompleted, afterProcessStarted, afterVariableChanged, beforeNodeLeft, beforeNodeTriggered, beforeProcessCompleted, beforeProcessStarted, beforeVariableChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.event.process.ProcessEventListener

      `beforeSLAViolated, onMessage, onSignal`

- - ### Constructor Detail

    - #### EscalateToAdminSLAViolationListener

          public EscalateToAdminSLAViolationListener()

  - ### Method Detail

    - #### afterSLAViolated

          public void afterSLAViolated(org.kie.api.event.process.SLAViolatedEvent event)

      Specified by:
        `afterSLAViolated` in interface `org.kie.api.event.process.ProcessEventListener`

    - #### getCaseFile

          protected CaseFileInstance getCaseFile(org.kie.api.runtime.KieSession ksession)

    - #### close

          public void close()

      Specified by:
        `close` in interface `org.kie.internal.runtime.Cacheable`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.